Getting a Consultation
Get a single consultation belonging to a job in your workspace.
The get consultation endpoint allows you to retrieve a single consultation in your workspace.
To find the IDs of a job's consultations, use the list consultations endpoint.
Endpoint
| Method | Url |
|---|---|
GET | /v1.0/consultations/{consultation_id} |
Url Parameters
consultation_id
•
string
The consultation's ID.
Sample Request
bashCopied1curl -X GET 'https://api.worklayer.com/v1.0/consultations/552d953e-14f4-40fb-9e16-b1cef0c0a132' \2-H 'Authorization: Bearer {token}'
Response
An instance of the consultation resource.
Sample Response
jsonCopied1{2 "id": "552d953e-14f4-40fb-9e16-b1cef0c0a132",3 "job_id": "3c61734c-760b-4458-baf9-136b4de74bed",4 "status": "IN_PROGRESS",5 "requested_minutes": 15,6 "skip_scheduling": false,7 "availabilities": [8 {9 "times": [10 {11 "start_time": "2026-10-09T14:45:00Z",12 "end_time": "2026-10-09T15:00:00Z"13 },14 {15 "start_time": "2026-10-09T15:15:00Z",16 "end_time": "2026-10-09T15:30:00Z"17 },18 {19 "start_time": "2026-10-09T17:15:00Z",20 "end_time": "2026-10-09T17:30:00Z"21 }22 ],23 "create_time": "2026-10-08T21:25:10.8335185Z",24 "booked_interval_time": {25 "start_time": "2026-10-09T15:15:00Z",26 "end_time": "2026-10-09T15:30:00Z"27 },28 "booked_time": "2026-10-08T21:25:47.7569304Z",29 "booked_by_user_id": "37720d0b-dc35-5784-9444-e99fb01c11ba"30 },31 {32 "times": [33 {34 "start_time": "2026-10-09T12:15:00Z",35 "end_time": "2026-10-09T12:30:00Z"36 },37 {38 "start_time": "2026-10-09T12:30:00Z",39 "end_time": "2026-10-09T12:45:00Z"40 },41 {42 "start_time": "2026-10-09T12:45:00Z",43 "end_time": "2026-10-09T13:00:00Z"44 }45 ],46 "create_time": "2026-10-08T21:27:13.6659498Z",47 "booked_interval_time": {48 "start_time": "2026-10-09T12:45:00Z",49 "end_time": "2026-10-09T13:00:00Z"50 },51 "booked_time": "2026-10-08T21:28:03.8683181Z",52 "booked_by_user_id": "37720d0b-dc35-5784-9444-e99fb01c11ba"53 }54 ],55 "client_user_id": "268aa049-5402-4757-9101-cbb20592e18e",56 "create_time": "2026-10-08T21:20:51.28793Z",57 "complete_time": null,58 "cancel_time": null,59 "cancel_reason": null,60 "incomplete_reason": null,61 "incomplete_reason_other_text": null,62 "incomplete_at": null63}
Errors
Forbidden: API Client cannot view the job the consultation belongs to.Unauthorized: API Client does not have valid credentials.BadRequest: The request was malformed.NotFound: The consultation, or the job it belongs to, was not found.
Last updated on October 8, 2026
Privacy PolicyTerms & Conditions© 2026 Taxfyle